/****************************************************************************
 
  Header file for template Flat Sate Machine 
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef MorseElementsFSM_H
#define MorseElementsFSM_H

// Event Definitions
#include "ES_Configure.h"
#include "ES_Types.h"
#include "ME218_C32.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { InitMorseElements, CalWaitForRise, CalWaitForFall,
         EOC_WaitRise, EOC_WaitFall, DecodeWaitRise, DecodeWaitFall,
         } MorseElementsState_t ;


// Public Function Prototypes

boolean InitializeMorseElements ( uint8_t Priority );
boolean PostMorseElementsFSM( ES_Event ThisEvent );
ES_Event MorseElementsSM( ES_Event ThisEvent );
MorseElementsState_t QueryMorseElementsSM ( void );


#endif /* FSMTemplate_H */

