/*----------------------------- Module Includes ---------------------------*/

#include <ME218_C32.h>
#include "ES_Configure.h"
#include "ES_General.h"
#include "ES_Events.h"
#include "ES_PostList.h"
#include "ES_Timers.h"
#include "EventCheckers.h"
#include <stdio.h>
#include "ES_ServiceHeaders.h"



/*----------------------------- Module Defines ----------------------------*/

//These values should only be used with the M port on the C32.

#define OUTPUT_MASK 0x38 //0x00111000
#define OMSG1 0x08 //0x00001000
#define OMSG2 0x10 //0x00010000
#define OMSG3 0x20 //0x00100000
#define OMSG4 0x18 //0x00011000
#define OMSG5 0x28 //0x00101000
#define OMSG6 0x30 //0x00110000
#define OMSG7 0x38 //0x00111000

/*--------------------------- Module Prototypes ---------------------------*/



/*---------------------------- Module Variables ---------------------------*/


/*---------------------------- Module Functions ---------------------------*/

/*||||||||||||||||||||||||||BATMAN TO ROBIN MESSAGES|||||||||||||||||||||||*/

// sendMessage takes an int to determine which message to send to the other C32.
// When not sending a message, it keeps the OUTPUT_MASK bits set to 0s. 
// To send a message, it pulses the corresponding pins in the OUTPUT_MASK and then sets them back to 0.
void sendMessage(int i)
{
	int j = 0;
	switch (i)
	{
		//Message 1 is ___BatID Detected___
		case 1:
		   //PTM & 0xC7 keeps the bits outside of the relevant range and clears the relevant range, and | OMSG1 sets the three bits.
			PTM = (PTM & 0xC7) | OMSG1;

         //Pause/Pulse
			for (j = 0; j < 2000; j++){
			}

         //Clears the OUTPUT_MASK bits again.
			PTM = (PTM & 0xC7);
			break;
		
		//Message 2 is ___Button Pressed by Batman___
		case 2:
			PTM = (PTM & 0xC7) | OMSG2;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;
		
		//Message 3 is ___IR Detected by Batman___
		case 3:
			PTM = (PTM & 0xC7) | OMSG3;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;

		//Message 4 is ___Analog Code in by Batman___
		case 4:
			PTM = (PTM & 0xC7) | OMSG4;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;

      //Message 5 is ___Buzzer!___
		case 5:
			PTM = (PTM & 0xC7) | OMSG5;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;

      //Message 6 is ___Batman Failed___
		case 6:
			PTM = (PTM & 0xC7) | OMSG6;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;

		case 7:
			PTM = (PTM & 0xC7) | OMSG7;

			for (j = 0; j < 2000; j++){
			}

			PTM = (PTM & 0xC7);
			break;
	}
}