

/*---------------------------- Module Includes ----------------------------*/

#include <ME218_C32.h>
#include "ES_Configure.h"
#include "ES_General.h"
#include "ES_Events.h"
#include "ES_PostList.h"
#include "ES_Timers.h"
#include "ES_Framework.h"
#include "EventCheckers.h"
#include <stdio.h>
#include "ES_ServiceHeaders.h"


/*----------------------------- Module Defines ----------------------------*/

//These values should only be used with the T port on the C32.
//Servo control on T7

//These values should only be used with the AD port on the C32.
#define LED0 BIT0_HI
#define LED1 BIT1_HI //Timer LEDs
#define LED2 BIT2_HI //Timer LEDs
#define LED3 BIT3_HI //Timer LEDs
#define LED4 BIT4_HI //Basket 1
#define LED5 BIT5_HI //Basket 2
#define LED6 BIT6_HI

//AD7 used for analog input

/*--------------------------- Module Prototypes ---------------------------*/

static void Wait( int );

/*---------------------------- Module Variables ---------------------------*/

static uint8_t MyPriority;

/*---------------------------- Module Functions ---------------------------*/

boolean InitOutputs ( uint8_t Priority )  
{
   ES_Event ThisEvent; 
   MyPriority = Priority; 
  
   ThisEvent.EventType = ES_INIT; 
   ES_Timer_SetTimer(6,500);
   ES_Timer_StartTimer(6);
   if (ES_PostToService( MyPriority, ThisEvent) == True)
   { 
       puts("Returning True");
       return True; 
   } else { 
       return False; 
   } 
}

boolean PostOutputsSM( ES_Event ThisEvent )
{
	return ES_PostToService( MyPriority, ThisEvent);

}

ES_Event RunOutputsSM( ES_Event ThisEvent )
{
   ES_Event ReturnEvent;
	ReturnEvent.EventType = ES_NO_EVENT;
	if (ThisEvent.EventType == ES_TIMEOUT && ThisEvent.EventParam == 6)
	{
	 //  PTAD = 0x0;
	}
	return ReturnEvent;
}
//Unused in actual implementation.
void PulseLED(int i)
{
   PTAD |= (0x1 << i);
   ES_Timer_SetTimer(6,500);
   ES_Timer_StartTimer(6);
}

void LightLED(int i)
{
printf("Lighting LED %d.\r\n", i);
   //Shifts bits by i and turns the bit high.
   PTAD |= (0x1 << i);   
}

void OffLED(int i)
{
printf("Off LED %d.\r\n", i);
   //Shifts bits by i and turns the bit low.
   PTAD &= ~(0x1 << i);
}

void OffAll(void )
{
   //Turns off all the outputs and doesn't touch the analog input.
   PTAD &= (0x1 << 7);
}

//Celebration uses blocking code because when it happens it shouldn't take any inputs.
void Celebration(void )
{
   int i;
   for(i; i < 5; i++)
   {
//Flashes LEDs off and on.
      LightLED(4);
      LightLED(5);
      Wait(700);
      OffLED(4);
      OffLED(5);
      Wait(300);
   }
}

//This wait is blocking code
static void Wait(int ms)
{
   uint16_t time1 = ES_Timer_GetTime();
   while(ES_Timer_GetTime() <= time1 + ms)
   {
      
   }
}