/****************************************************************************
 
  Header file for template Flat Sate Machine 
  based on the Gen2 Events and Services Framework

 ****************************************************************************/

#ifndef ButtonFSM_H
#define ButtonFSM_H

#include "ES_Configure.h"
#include "ES_Types.h"
#include "ME218_C32.h"
#include "TIMERS12.h"

// Event Definitions


// typedefs for the states
// State definitions for use with the query function
typedef enum { DEBOUNCING, READY2SAMPLE } ButtonState_t ;

// Public Function Prototypes

boolean InitializeButton ( uint8_t Priority );
boolean PostButtonFSM( ES_Event ThisEvent );
ES_Event ButtonDebounceSM( ES_Event ThisEvent );
ButtonState_t QueryButton1SM ( void );
ButtonState_t QueryButton2SM ( void );
ButtonState_t QueryButton3SM ( void );
ButtonState_t QuerySwitch1SM ( void );
ButtonState_t QuerySwitch2SM ( void );
ButtonState_t QueryLeverSM ( void );
void ResetButtons( void );

#endif /* FSMTemplate_H */
